gslmatrix_lib = static_library('gslmatrix',
	[
		'init.c',
		'matrix.c',
		'file.c',
		'rowcol.c',
		'swap.c',
		'copy.c',
		'minmax.c',
		'prop.c',
		'oper.c',
		'getset.c',
		'view.c',
		'submatrix.c',
		'view.h'
	],
	include_directories : '..'
)
gslmatrix_dep = declare_dependency(link_with : gslmatrix_lib)


gsl_tests += [
	[ 'GSL Matrix Test',          files('test.c')        ],
	[ 'GSL Matrix Test (static)', files('test_static.c') ]
]
